Packages

final case class HeaderParameter(name: String, description: Doc, required: Boolean, deprecated: Boolean = false, allowEmptyValue: Boolean = false, definition: Definition, explode: Boolean = false, examples: Map[String, ExampleOrReference]) extends Parameter with Product with Serializable

Custom headers that are expected as part of the request. Note that [RFC7230] states header names are case insensitive.

name

The name of the parameter. Parameter names are case sensitive.

description

A brief description of the parameter.

required

Determines whether this parameter is mandatory.

deprecated

Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.

allowEmptyValue

Sets the ability to pass empty-valued parameters. This is valid only for query parameters and allows sending a parameter with an empty value. If style is used, and if behavior is n/a (cannot be serialized), the value of allowEmptyValue SHALL be ignored. Use of this property is NOT RECOMMENDED, as it is likely to be removed in a later revision.

Linear Supertypes
Ordering
  1. Alphabetic
  2. By Inheritance
Inherited
  1. HeaderParameter
  2. Serializable
  3. Product
  4. Equals
  5. Parameter
  6. ParameterOrReference
  7. OpenAPIBase
  8. AnyRef
  9. Any
  1. Hide All
  2. Show All
Visibility
  1. Public
  2. Protected

Instance Constructors

  1. new HeaderParameter(name: String, description: Doc, required: Boolean, deprecated: Boolean = false, allowEmptyValue: Boolean = false, definition: Definition, explode: Boolean = false, examples: Map[String, ExampleOrReference])

    name

    The name of the parameter. Parameter names are case sensitive.

    description

    A brief description of the parameter.

    required

    Determines whether this parameter is mandatory.

    deprecated

    Specifies that a parameter is deprecated and SHOULD be transitioned out of usage.

    allowEmptyValue

    Sets the ability to pass empty-valued parameters. This is valid only for query parameters and allows sending a parameter with an empty value. If style is used, and if behavior is n/a (cannot be serialized), the value of allowEmptyValue SHALL be ignored. Use of this property is NOT RECOMMENDED, as it is likely to be removed in a later revision.

Value Members

  1. final def !=(arg0: Any): Boolean
    Definition Classes
    AnyRef → Any
  2. final def ##: Int
    Definition Classes
    AnyRef → Any
  3. final def ==(arg0: Any): Boolean
    Definition Classes
    AnyRef → Any
  4. val allowEmptyValue: Boolean
    Definition Classes
    HeaderParameterParameter
  5. final def asInstanceOf[T0]: T0
    Definition Classes
    Any
  6. def clone(): AnyRef
    Attributes
    protected[lang]
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.CloneNotSupportedException]) @native() @IntrinsicCandidate()
  7. val definition: Definition
    Definition Classes
    HeaderParameterParameter
  8. val deprecated: Boolean
    Definition Classes
    HeaderParameterParameter
  9. val description: Doc
    Definition Classes
    HeaderParameterParameter
  10. final def eq(arg0: AnyRef): Boolean
    Definition Classes
    AnyRef
  11. def equals(obj: Any): Boolean

    A unique parameter is defined by a combination of a name and location.

    A unique parameter is defined by a combination of a name and location.

    Definition Classes
    Parameter → AnyRef → Any
  12. val examples: Map[String, ExampleOrReference]
    Definition Classes
    HeaderParameterParameter
  13. val explode: Boolean
    Definition Classes
    HeaderParameterParameter
  14. final def getClass(): Class[_ <: AnyRef]
    Definition Classes
    AnyRef → Any
    Annotations
    @native() @IntrinsicCandidate()
  15. def in: String
    Definition Classes
    HeaderParameterParameter
  16. final def isInstanceOf[T0]: Boolean
    Definition Classes
    Any
  17. val name: String
    Definition Classes
    HeaderParameterParameter
  18. final def ne(arg0: AnyRef): Boolean
    Definition Classes
    AnyRef
  19. final def notify(): Unit
    Definition Classes
    AnyRef
    Annotations
    @native() @IntrinsicCandidate()
  20. final def notifyAll(): Unit
    Definition Classes
    AnyRef
    Annotations
    @native() @IntrinsicCandidate()
  21. def productElementNames: Iterator[String]
    Definition Classes
    Product
  22. val required: Boolean
    Definition Classes
    HeaderParameterParameter
  23. def style: String
  24. final def synchronized[T0](arg0: => T0): T0
    Definition Classes
    AnyRef
  25. def toJson: String
    Definition Classes
    Parameter → OpenAPIBase
  26. final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.InterruptedException])
  27. final def wait(arg0: Long): Unit
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.InterruptedException]) @native()
  28. final def wait(): Unit
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.InterruptedException])

Deprecated Value Members

  1. def finalize(): Unit
    Attributes
    protected[lang]
    Definition Classes
    AnyRef
    Annotations
    @throws(classOf[java.lang.Throwable]) @Deprecated
    Deprecated

Inherited from Serializable

Inherited from Product

Inherited from Equals

Inherited from Parameter

Inherited from ParameterOrReference

Inherited from OpenAPIBase

Inherited from AnyRef

Inherited from Any

Ungrouped